@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    background-color: whitesmoke;
    /* background: linear-gradient(to left, red 50%, whitesmoke 50%); */
    background-color: whitesmoke;
}
header{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 40px;
    background: linear-gradient(rgb(222, 222, 222),rgb(240, 33, 33));
    border-bottom: solid black;
    position: sticky;
    top: 0;
    z-index: 100;
}
li, a, button{
    font-family: "Montserrat", sans-serif;
    font-weight:700;
    font-size: 17px;
    color: rgba(0, 0, 0, 0.995);
    text-decoration: none;
}
.logo{
    width: 90px;
    height: 65px;
    cursor: pointer;
    border-radius: 18px;
    background-color: transparent;
}
a,.fa-location-dot{
    background-color: transparent;
}
.fa-location-dot:hover{
    background-color: rgb(7, 161, 199);
    font-weight:bolder;
    font-size: x-large;
}
.navigation{
    list-style: none;
    background-color: transparent;
}
.navigation ul{
    background-color: transparent;
}
.navigation li{
    display: inline-block;
    padding: 0px 30px;
    margin-left: 30px;
    background-color: transparent;
}
.navigation li a{
    transition:all 0.3s ease 0s;
    background-color: transparent;
}
.navigation li a:hover{
    background-color: rgb(7, 161, 199);
    font-weight:bolder;
    font-size: x-large;
    
}
.cta, button{
    padding: 5px 25px;
    /* background-color: aquamarine; */
    background-color: rgba(0,136,169,1);
    border: none;
    border-radius: 50px;
    cursor: pointer;
    transition: all 0.3s ease 0s;
}
button:hover{
    background-color: rgb(7, 161, 199);
    font-weight:bolder;
    font-size: x-large;
}
.phone-menu, .fa-bars{
    display: none;
    font-size: 35px;
    background: none;
    /* background-color: transparent; */
    background-color: rgb(7, 161, 199);
    border: none;
    cursor: pointer;
}
/* close button inside menu*/
.phone-menu-close{
    display: none;
    font-size:35px;
    position: fixed;
    border: none;
    background-color: transparent;
    z-index: 1001;
    cursor: pointer;
}
/* mobile devices */
@media (max-width: 1280px) {
    header{
        width: 100%;
        min-height: 10%;
        display:list-item;
        display: flex;
        justify-content:space-between;
        align-items: center;
        padding: 0px 20px;
        box-sizing: border-box;
    }
    .logo{
        width: 20px;
        height: 20px;
        border-radius: 10px;
        background-color: transparent;
        margin-top: 5px;
        margin-left: 5px;
        margin-bottom: 0px;
    }
    .navigation ul {
        display: none; /* Hidden by default */
        flex-direction: column;
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        min-height: 100%;
        background-color: rgba(135, 207, 235, 0.946);
        justify-content: flex-start; 
        align-items: flex-start; 
        z-index: 1000;
        padding: 20px; 
        margin: 0;
        list-style: none;
    }
    /* Menu items fonts and postion */
    .navigation ul li a{
        font-size:larger;
        margin-left:40%;
        margin-top: 10vh;
        margin-bottom: 12px;
        font-weight: bolder;
    }
    .navigation ul.show {
        display:flex;
    }
    .phone-menu {
        display: block;
        width: 70px;
        height: 50px;
    }
    /*Phone close menu*/
    .phone-menu-close {
        display: block;
        width: 70px;
        height: 50px;
        top: 10px; /* Position the close button on top*/
        right: 15px; /* psoitioned the close button on right*/
        font-size: 35px; /* Button size*/
    }
    .navigation ul li{
        margin-bottom: 20px;
    }
    li, a, button{
        font-weight:700px;
        font-size: 15px;
    }
    a,.fa-location-dot{
        background-color: transparent;
    }
    .fa-location-dot:hover{
        background-color: rgb(7, 161, 199);
        font-weight:normal;
        font-size:bold;
    }
    .navigation li{
        display:contents;
        padding: 0px 30px;
        margin-left: 30px;
        background-color: transparent;
    }
    .navigation li a:hover{
        background-color: rgb(7, 161, 199);
        font-weight:normal;
        font-size:medium;
        
    }
    .cta, button{
        padding: 5px 5px;
        background-color: rgba(0,136,169,1);
        border: none;
        border-radius: 50px;
        cursor: pointer;
        transition: all 0.3s ease 0s;
    }
    button:hover{
        background-color: rgb(7, 161, 199);
        font-weight:normal;
        font-size: bold;
    }

}
/* larger phones and small tablets */
@media (min-width: 300px) and (max-width: 768px) {

}
/* Tablets */
@media (min-width: 769px) and (max-width: 1024px) {
    
}
/* small laptops and large tablets*/

@media (min-width: 1025px) and (max-width:1200px){
    
}
/* standard desktops and laptops */
@media (min-width: 1201px) and (max-width:1600px){
    
}
@media (min-width: 1601px) {

}
